module CAccumulator
    use SimulationVariables
    ! use CAccumulatorVariables
    use json_module
    implicit none    
    public    
    contains
    
    subroutine AccumulatorToJson(parent)
        type(json_value),pointer :: parent
        type(json_core) :: json
        type(json_value),pointer :: p

        call json%create_object(p,'Accumulator')
        
        call json%add(p,'AccumulatorMinimumOperatingPressure',data%Configuration%Accumulator%AccumulatorMinimumOperatingPressure)
        call json%add(p,'AccumulatorSystemSize',data%Configuration%Accumulator%AccumulatorSystemSize)
        call json%add(p,'AirPlungerPumpOutput',data%Configuration%Accumulator%AirPlungerPumpOutput)
        call json%add(p,'ElectricPumpOutput',data%Configuration%Accumulator%ElectricPumpOutput)
        call json%add(p,'NumberOfBottels',data%Configuration%Accumulator%NumberOfBottels)
        call json%add(p,'OilTankVolume',data%Configuration%Accumulator%OilTankVolume)
        call json%add(p,'PrechargePressure',data%Configuration%Accumulator%PrechargePressure)
        call json%add(p,'StartPressure',data%Configuration%Accumulator%StartPressure)
        call json%add(p,'StartPressure2',data%Configuration%Accumulator%StartPressure2)
        call json%add(p,'StopPressure',data%Configuration%Accumulator%StopPressure)
        call json%add(p,'StopPressure2',data%Configuration%Accumulator%StopPressure2)

        call json%add(parent,p)
    end subroutine
    
end module CAccumulator